## ktrip 23.01.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)
set(PROJECT_VERSION "23.01")
project(ktrip VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "5.15.0")
if (ANDROID)
    set(QT_MIN_VERSION "5.15.8")
endif()
set(KF5_MIN_VERSION "5.88.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(ECMQMLModules)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
include(ECMAddAppIcon)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KTRIP
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml Quick QuickControls2)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n ItemModels Config)

if (ANDROID)
    # runtime dependencies are build-time dependencies on Android
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS AndroidExtras Svg)
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
    find_package(OpenSSL REQUIRED)

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)

else()
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle)
endif()

find_package(KPublicTransport)
set_package_properties(KPublicTransport PROPERTIES TYPE REQUIRED PURPOSE "Query online journey information")

ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.kirigamiaddons.dateandtime 0.1)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

ki18n_install(po)

add_subdirectory(src)

install(FILES org.kde.ktrip.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
# CI installs dependency headers to _install and _build, which break the reuse check
# Fixes the test by excluding this directory
list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[_(install|build)/.*]])
ecm_check_outbound_license(LICENSES GPL-2.0-only GPL-3.0-only FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
ktrip (23.01.0-1) unstable; urgency=medium

  * New upstream release
  * Added new upstream signing key
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 05 Feb 2023 14:30:22 +0100

ktrip (22.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - explicitly add gettext
    - remove unused: libkf5contacts-dev, libqt5svg5-dev, libssl-dev,
      qml-module-org-kde-kirigami-addons-datetime, and
      qml-module-org-kde-kitemmodels

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 22:53:51 +0100

ktrip (22.09-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Fix Maintainer to be the canonical one.
  * Add myself to Uploaders.

 -- Sandro Knauß <hefee@debian.org>  Tue, 15 Nov 2022 22:47:32 +0100

ktrip (22.09-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (22.09).
  * Update build-deps and deps with the info from cmake.
  * update copyright for 22.09.

 -- Sandro Knauß <hefee@debian.org>  Sat, 22 Oct 2022 03:05:22 +0200

ktrip (22.06-1) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * Initial release (Closes: #1012085)

 -- Sandro Knauß <hefee@debian.org>  Wed, 29 Jun 2022 18:42:29 +0200

=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: appstream,
               cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.88.0~),
               gettext,
               kirigami2-dev (>= 5.88.0~),
               libkf5config-dev (>= 5.88.0~),
               libkf5coreaddons-dev (>= 5.88.0~),
               libkf5i18n-dev (>= 5.88.0~),
               libkf5itemmodels-dev (>= 5.88.0~),
               libkf5qqc2desktopstyle-dev (>= 5.88.0~),
               libkpublictransport-dev (>= 21.12.3),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/utilities/ktrip
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
Rules-Requires-Root: no

Package: ktrip
Architecture: any
Depends: qml-module-org-kde-i18n-localedata (>= 5.60),
         qml-module-org-kde-kirigami-addons-datetime (>= 0.2),
         qml-module-org-kde-kpublictransport (>= 21.12.3),
         ${misc:Depends},
         ${shlibs:Depends}
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma-mobile/([\d.]+)/ktrip-([\d.]+)\.tar\.xz

## ktrip 23.08.0

=== debian/changelog ===
ktrip (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:46 +0100

ktrip (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:39:14 +0100

ktrip (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:55:00 +0100

ktrip (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update upstream signing key, copied from k3b
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktrip
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
            Sandro Knauß <hefee@debian.org>
 Build-Depends: appstream,
@@ -16,15 +17,15 @@
                libkf5i18n-dev (>= 5.88.0~),
                libkf5itemmodels-dev (>= 5.88.0~),
                libkf5qqc2desktopstyle-dev (>= 5.88.0~),
-               libkpublictransport-dev (>= 21.12.3),
+               libkpublictransport-dev (>= 23.08.0~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/utilities/ktrip
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
 Rules-Requires-Root: no
 
 Package: ktrip

## ktrip 23.08.1

=== debian/changelog ===
ktrip (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:04:45 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5i18n-dev (>= 5.88.0~),
                libkf5itemmodels-dev (>= 5.88.0~),
                libkf5qqc2desktopstyle-dev (>= 5.88.0~),
-               libkpublictransport-dev (>= 23.08.0~),
+               libkpublictransport-dev (>= 23.08.1~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),

## ktrip 23.08.4

=== debian/changelog ===
ktrip (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:57 +0000

ktrip (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:41:14 +0000

ktrip (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:37:03 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5i18n-dev (>= 5.88.0~),
                libkf5itemmodels-dev (>= 5.88.0~),
                libkf5qqc2desktopstyle-dev (>= 5.88.0~),
-               libkpublictransport-dev (>= 23.08.1~),
+               libkpublictransport-dev (>= 23.08.4~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),

## ktrip 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,25 @@
 # SPDX-License-Identifier: BSD-2-Clause
 
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "23.01")
-project(ktrip VERSION ${PROJECT_VERSION})
+
+# KDE Applications version, managed by release script.
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(ktrip VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
 if (ANDROID)
-    set(QT_MIN_VERSION "5.15.8")
+    set(QT_MIN_VERSION "5.15.10")
 endif()
-set(KF5_MIN_VERSION "5.88.0")
+set(KF_MIN_VERSION "5.88.0")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
@@ -37,19 +43,19 @@
 )
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml Quick QuickControls2)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n ItemModels Config)
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n ItemModels Config)
 
 if (ANDROID)
     # runtime dependencies are build-time dependencies on Android
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS AndroidExtras Svg)
-    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
+    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
     find_package(OpenSSL REQUIRED)
 
     configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
 
 else()
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
-    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle)
+    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle)
 endif()
 
 find_package(KPublicTransport)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

set(ktrip_SRCS
    main.cpp
    controller.cpp
    locationcachemodel.cpp
    formatter.cpp
    resources.qrc
)

kconfig_add_kcfg_files(ktrip_SRCS ktripsettings.kcfgc GENERATE_MOC)

if (ANDROID)
    list(APPEND ktrip_SRCS androidutils.cpp)
endif()

add_executable(ktrip ${ktrip_SRCS})
target_link_libraries(ktrip PRIVATE Qt::Qml Qt::Gui Qt::QuickControls2 KF${QT_MAJOR_VERSION}::CoreAddons KF${QT_MAJOR_VERSION}::I18n KF${QT_MAJOR_VERSION}::ConfigGui KPublicTransport)
target_include_directories(ktrip PRIVATE ${CMAKE_BINARY_DIR})

if (ANDROID)
    target_link_libraries(ktrip PRIVATE
        KF${QT_MAJOR_VERSION}::Kirigami2
        KF${QT_MAJOR_VERSION}::ItemModels
        Qt::Svg
        OpenSSL::SSL
        Qt::AndroidExtras
    )

    kirigami_package_breeze_icons(ICONS
        go-down-symbolic
        go-up-symbolic
        channel-secure-symbolic
        channel-insecure-symbolic
        arrow-down
        emblem-ok-symbolic
        mark-location-symbolic
        system-search-symbolic
        collapse
        expand
        configure
        globe
        settings-configure
        arrow-right-double
        help-about
    )
else()
    target_link_libraries(ktrip PRIVATE Qt::Widgets)
endif()

ecm_add_app_icon(ktrip ICONS 256-org.kde.ktrip.png 150-org.kde.ktrip.png)

install(FILES org.kde.ktrip.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

install(TARGETS ktrip ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.ktrip.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
ktrip (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:45:49 +1100

ktrip (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:27:35 +0000

ktrip (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 00:56:28 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5i18n-dev (>= 5.88.0~),
                libkf5itemmodels-dev (>= 5.88.0~),
                libkf5qqc2desktopstyle-dev (>= 5.88.0~),
-               libkpublictransport-dev (>= 23.08.4~),
+               libkpublictransport-dev (>= 23.08.5~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),

## ktrip 24.08.2

=== debian/changelog ===
ktrip (24.08.2-3ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:00:06 -0500

ktrip (24.08.2-3) experimental; urgency=medium

  * Add qmldeps.overrides for included qml modules in binary.

 -- Sandro Knauß <hefee@debian.org>  Mon, 14 Oct 2024 00:30:41 +0200

ktrip (24.08.2-2) experimental; urgency=medium

  * tight libkpublictransport-dev dependency for experimental build.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2024 22:25:46 +0200

ktrip (24.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Switch to dh_qmldeps.
  * Remove QML dependencies that are shipped via dev packages.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2024 00:18:57 +0200

ktrip (24.08.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * d/watch: ktrip is now part of KDE Gear.
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * switch to Qt6 build.
  * update copyright.

 -- Sandro Knauß <hefee@debian.org>  Fri, 04 Oct 2024 00:16:26 +0200

=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kirigami-addons-dev (>= 0.11.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6qqc2desktopstyle-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkpublictransport-dev (>= 24.08.0),
               qml6-module-org-kde-i18n-localedata,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/utilities/ktrip
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
Rules-Requires-Root: no

Package: ktrip
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.

## ktrip 24.12.0

=== debian/changelog ===
ktrip (24.12.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:13:41 +0100

ktrip (24.12.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * dev packages install qml modules, no need to name them in B-D
    anymore.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:13:00 +0100

=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kirigami-addons-dev (>= 0.11.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6qqc2desktopstyle-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkpublictransport-dev (>= 24.12),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/utilities/ktrip
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
Rules-Requires-Root: no

Package: ktrip
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.

## ktrip 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,18 +4,15 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
-if (ANDROID)
-    set(QT_MIN_VERSION "5.15.10")
-endif()
-set(KF_MIN_VERSION "5.88.0")
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "5.240.0")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -32,42 +29,50 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEClangFormat)
-include(ECMQMLModules)
+include(ECMQmlModule)
+include(ECMFindQmlModule)
 include(KDEGitCommitHooks)
 include(ECMCheckOutboundLicense)
 include(ECMAddAppIcon)
+include(ECMAddAndroidApk)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KTRIP
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
 )
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml Quick QuickControls2)
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n ItemModels Config)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml Quick QuickControls2)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config)
 
 if (ANDROID)
     # runtime dependencies are build-time dependencies on Android
-    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS AndroidExtras Svg)
-    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
+    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami)
     find_package(OpenSSL REQUIRED)
 
     configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
 
 else()
-    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
-    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle)
+    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle Crash)
 endif()
 
 find_package(KPublicTransport)
 set_package_properties(KPublicTransport PROPERTIES TYPE REQUIRED PURPOSE "Query online journey information")
 
-ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
 ecm_find_qmlmodule(org.kde.kirigamiaddons.dateandtime 0.1)
+ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard 1.0)
 
 add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+
+find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.11.0 REQUIRED)
+set_package_properties(KF6KirigamiAddons PROPERTIES
+    TYPE REQUIRED
+    PURPOSE "Required runtime dependency (all modules are required)"
+)
 
 ki18n_install(po)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

set(ktrip_SRCS
    main.cpp
    controller.cpp
    locationcachemodel.cpp
    formatter.cpp
    resources.qrc
)

kconfig_add_kcfg_files(ktrip_SRCS ktripsettings.kcfgc GENERATE_MOC)

if (ANDROID)
    list(APPEND ktrip_SRCS androidutils.cpp)
endif()

add_executable(ktrip ${ktrip_SRCS})

ecm_add_qml_module(ktrip URI "org.kde.ktrip"
    QML_FILES
    qml/Main.qml
    qml/BackendPage.qml
    qml/QueryPage.qml
    qml/ConnectionsPage.qml
    qml/LocationQueryPage.qml
    qml/ConnectionDetailsPage.qml
    qml/DatePickerButton.qml
    qml/TimePickerButton.qml
    qml/DeparturesPage.qml
    qml/ConnectionHeading.qml
    DEPENDENCIES
    "QtCore"
    "org.kde.kpublictransport"
)

target_link_libraries(ktrip PRIVATE Qt::Qml Qt::Gui Qt::QuickControls2 KF6::CoreAddons KF6::I18n KF6::ConfigGui KPublicTransport)
target_include_directories(ktrip PRIVATE ${CMAKE_BINARY_DIR})

if (ANDROID)
    target_link_libraries(ktrip PRIVATE
        KF6::Kirigami
        Qt::Svg
        OpenSSL::SSL
    )

    kirigami_package_breeze_icons(ICONS
        go-down-symbolic
        go-up-symbolic
        channel-secure-symbolic
        channel-insecure-symbolic
        arrow-down
        emblem-ok-symbolic
        mark-location-symbolic
        system-search-symbolic
        collapse
        expand
        configure
        globe
        settings-configure
        arrow-right
        arrow-right-double
        help-about
        license
        ktrip
    )

    ecm_add_android_apk(ktrip ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(ktrip PRIVATE Qt::Widgets KF6::Crash)
endif()

ecm_add_app_icon(ktrip ICONS 256-org.kde.ktrip.png 150-org.kde.ktrip.png)

if (NOT ANDROID)
    install(FILES org.kde.ktrip.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
    install(PROGRAMS org.kde.ktrip.desktop DESTINATION ${KDE_INSTALL_APPDIR})
endif()

install(TARGETS ktrip ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
ktrip (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:31 -0500

ktrip (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 22:57:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktrip
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: appstream,
@@ -18,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 24.12),
+               libkpublictransport-dev (>= 24.12.3~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,
@@ -26,8 +27,8 @@
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/utilities/ktrip
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
 Rules-Requires-Root: no
 
 Package: ktrip

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=ON

## ktrip 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ktrip (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:28:55 +0200

=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               appstream,
               cmake (>= 3.16),
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kirigami-addons-dev (>= 0.11.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6qqc2desktopstyle-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkpublictransport-dev (>= 24.12),
               libssl-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/ktrip/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
Rules-Requires-Root: no

Package: ktrip
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.

## ktrip 25.04.1

=== debian/changelog ===
ktrip (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:15:08 +0100

ktrip (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:59:33 +0100

=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kirigami-addons-dev (>= 0.11.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6qqc2desktopstyle-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkpublictransport-dev (>= 25.04.1~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/utilities/ktrip
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
Rules-Requires-Root: no

Package: ktrip
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.

## ktrip 25.04.2

=== debian/changelog ===
ktrip (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:56:59 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.04.1~),
+               libkpublictransport-dev (>= 25.04.2~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.04.3

=== debian/changelog ===
ktrip (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:52:51 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.04.2~),
+               libkpublictransport-dev (>= 25.04.3~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.07.80

=== debian/changelog ===
ktrip (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Disable tests at build time.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:44:11 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.04.3~),
+               libkpublictransport-dev (>= 25.07.80~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.07.90

=== debian/changelog ===
ktrip (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:56:55 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.07.80~),
+               libkpublictransport-dev (>= 25.07.90~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.08.0

=== debian/changelog ===
ktrip (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:57:57 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.07.90~),
+               libkpublictransport-dev (>= 25.08.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "6.5.0")
-set(KF_MIN_VERSION "5.240.0")
+set(KF_MIN_VERSION "6.12.0")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -43,21 +43,19 @@
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml Quick QuickControls2)
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config)
+find_package(KF6KirigamiAddons 1.8.0 REQUIRED)
 
 if (ANDROID)
     # runtime dependencies are build-time dependencies on Android
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami)
     find_package(OpenSSL REQUIRED)
-
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
-
 else()
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle Crash)
 endif()
 
-find_package(KPublicTransport)
+find_package(KPublicTransport 25.07.71)
 set_package_properties(KPublicTransport PROPERTIES TYPE REQUIRED PURPOSE "Query online journey information")
 
 ecm_find_qmlmodule(org.kde.kirigamiaddons.dateandtime 0.1)
@@ -77,10 +75,13 @@
 ki18n_install(po)
 
 add_subdirectory(src)
+if (BUILD_TESTING)
+    add_subdirectory(autotests)
+endif()
 
 install(FILES org.kde.ktrip.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_test(NAME ktrip-self-test COMMAND ktrip --self-test)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,16 +4,12 @@
 set(ktrip_SRCS
     main.cpp
     controller.cpp
-    locationcachemodel.cpp
-    formatter.cpp
+    localizer.cpp
+    localizer.h
     resources.qrc
 )
 
 kconfig_add_kcfg_files(ktrip_SRCS ktripsettings.kcfgc GENERATE_MOC)
-
-if (ANDROID)
-    list(APPEND ktrip_SRCS androidutils.cpp)
-endif()
 
 add_executable(ktrip ${ktrip_SRCS})
 
@@ -23,10 +19,7 @@
     qml/BackendPage.qml
     qml/QueryPage.qml
     qml/ConnectionsPage.qml
-    qml/LocationQueryPage.qml
     qml/ConnectionDetailsPage.qml
-    qml/DatePickerButton.qml
-    qml/TimePickerButton.qml
     qml/DeparturesPage.qml
     qml/ConnectionHeading.qml
     DEPENDENCIES
@@ -45,6 +38,8 @@
     )
 
     kirigami_package_breeze_icons(ICONS
+        ${KIRIGAMI_ADDONS_ICONS}
+        ${KPUBLICTRANSPORT_ICONS}
         go-down-symbolic
         go-up-symbolic
         channel-secure-symbolic
@@ -63,6 +58,7 @@
         help-about
         license
         ktrip
+        reverse
     )
 
     ecm_add_android_apk(ktrip ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)

=== debian/changelog ===
ktrip (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:12:06 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.08.0~),
+               libkpublictransport-dev (>= 25.08.1~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.08.1+p24.04+vstable+git20250910.0255

=== debian/changelog ===
ktrip (25.08.1+p24.04+vstable+git20250910.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 02:55:55 +0000

ktrip (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:58:12 +0000

ktrip (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:25:41 +0000

ktrip (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:49:53 +0000

ktrip (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:57:32 +0000

ktrip (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:39:55 +0000

ktrip (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:52:33 +0000

ktrip (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:20:02 +0000

ktrip (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:54:05 +0000

ktrip (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:45:22 +0000

ktrip (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:40:56 +0000

ktrip (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:56:01 +0000

ktrip (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:28:04 +0000

ktrip (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:59:31 +0000

ktrip (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:53:51 +0000

ktrip (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:31:46 +0000

ktrip (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:57:42 +0000

ktrip (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:40:39 +0000

ktrip (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:31:19 +0000

ktrip (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:10:34 +0000

ktrip (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 07:57:51 +0000

ktrip (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:48:36 +0000

ktrip (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:16:11 +0000

ktrip (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:18:15 +0000

ktrip (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:53:23 +0000

ktrip (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Dec 2022 08:16:06 +0000

ktrip (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Oct 2022 08:16:08 +0000

## ktrip 25.08.1+p24.04+vstable+git20251001.0450

=== debian/changelog ===
ktrip (25.08.1+p24.04+vstable+git20251001.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:50:15 +0000

## ktrip 25.08.2

=== debian/changelog ===
ktrip (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.08.1~),
+               libkpublictransport-dev (>= 25.08.2~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_WITH_QT6=ON
+
+override_dh_auto_test:
+	# Disable unittest at build time
+	:

## ktrip 25.08.2+p24.04+vstable+git20251015.1101

=== debian/changelog ===
ktrip (25.08.2+p24.04+vstable+git20251015.1101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:01:56 +0000

ktrip (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:40:50 +0000

## ktrip 25.08.2+p24.04+vstable+git20251019.0238

=== debian/changelog ===
ktrip (25.08.2+p24.04+vstable+git20251019.0238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:38:58 +0000

=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kitemmodels-dev,
               kf6-qqc2-desktop-style-dev,
               libkpublictransport-dev,
               pkg-kde-tools-neon,
               qml6-module-org-kde-kirigami-addons-datetime,
               qml6-module-org-kde-kitemmodels,
               qt6-base-dev,
               qt6-declarative-dev,
               reuse,
               zlib1g-dev
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/utilities/ktrip
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/ktrip.git
Vcs-Browser: https://invent.kde.org/neon/kde/ktrip
Maintainer: Neon CI <neon@kde.org>

Package: ktrip
Architecture: any
Depends: qml6-module-org-kde-i18n-localedata,
         qml6-module-org-kde-kirigami-addons-datetime,
         qml6-module-org-kde-kpublictransport,
         ${misc:Depends},
         ${shlibs:Depends}
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.

## ktrip 25.08.2+p24.04+vstable+git20251021.0558

=== debian/changelog ===
ktrip (25.08.2+p24.04+vstable+git20251021.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:58:52 +0000

## ktrip 25.08.2+p24.04+vstable+git20251031.1111

=== debian/changelog ===
ktrip (25.08.2+p24.04+vstable+git20251031.1111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 11:11:25 +0000

## ktrip 25.08.2+p24.04+vunstable+git20251015.1201

=== debian/changelog ===
ktrip (25.08.2+p24.04+vunstable+git20251015.1201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:01:15 +0000

## ktrip 25.08.2+p24.04+vunstable+git20251020.0406

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ktrip (25.08.2+p24.04+vunstable+git20251020.0406-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 04:06:37 +0000
